Jump to content

Search the Community

Showing results for tags 'polylines'.

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Categories

  • Programs and Scripts
  • 2D AutoCAD Blocks
  • 3D AutoCAD Blocks
  • Images
    • Backgrounds

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 20 results

  1. Hello i have question. I need lisp to extract elevation in spots from polyline surface. I know for civil 3d and surfaces i work with this but for this project i need to make same thing in Autocad. I know the math for interpolate but dont know how to make it. (dont have good idea for now) Thank you all for support and help. test1.dwg
  2. Hello everyone. I tried to do it but simply don't have the knowledge to make it. I'm in need of lisp where I select two polylines and the lisp creates closed polyline on current layer, using those selected and leaving them in drawing. Now the trick is on each side the shorter polyline must cut the longer one or connects to longer one using ortho (it's not perpendicular). And another problem is that there are other lines and polylines crossing those two (cross section). See the image for better understanding.
  3. I Have lisp for placing slope and arrow with polyline and i want enhance this to what i need mention in my drawing file..so i have attached lisp & sample drawing file . and also want to enhance lisp for select all polyline at once, currently lisp select on object at once. thanks. Slope.lsp SLOPE SAMPLE.dwg
  4. Version 1.0.0

    419 downloads

    This AutoLISP file can be used to measure the total length or area of all polylines on a selected layer. Instructions on how to load and run this file in AutoCAD are given in this thread.
  5. First of me, Hi to everyone! Glad to be part of this. I am pretty new to this forum so as to AutoCad software, I am GIS maniac. Currently working on some urban plan and my company need to calculate area of existing polygons, hatches and polylines. A lot of people worked on same project and that is why we have different types of geometry. I can manually change all of this to closed polylines but there is over 2000 polygons and hatches. Is there any lsp which can calculate all types of geometry? I tried many but they are just calculating closed polylines. Thank you very much and sor
  6. Special rectangular nesting plates not simmetrical (not rotable 180°) I must a lot of pieces of cutting polylines in rectangular areas this problem is very important for me thanks for all help me. rectangularl nesting.dwg
  7. Good morning, I have a big problem: I need to make an outline of which was advanced on a road. But I'm doing this activity manually. I tried to use the OVERKILL, but it only deletes the 3dpolylines/polylines that are overlapping and not both. I need only what is different between them and make a REGION or a Closed Polyline of the result. Can you help me? Is there any lisp or a command that can make this? I'm sending the attached file of what I want in order to make an example. Example.dwg
  8. Hello folks! I would like to know if you guys could help me to align multiple lines to an specific point. Take a look at this image. I want to align all color lines to the white one at the bottom. I tried to move them, but I need a reference point and I do not know how to do it. Ive been searching about it here, but also unsuccessful.
  9. Hello all, I tried looking this up and did not quite find what I needed. I have hundred of rooms that I have created closed polylines. The rooms also have single line text with the room number. I want to link each space in the floor plan to an Excel spreadsheet. Each space will need to have an identifier – e.g. room number – in its properties and in its corresponding record on the spreadsheet. I’m dealing with a lot of rooms, so I’d rather not have to number each space in manually. All of the rooms on the floor plan in the dwg file are polylined and all of the polylines are on the sam
  10. I have scoured the net for a way to select all objects within a selected closed polyline as well objects that are touching the polyline, which i have found, but i need to be able to select more than one closed polyline at a time ,as I work on thousand of circles (drill holes) and shapes at any given time a lot of the time. If someone could please help me it would be greatly greatly appreciated. I am hoping for a modified lisp file that has been out there already.
  11. Hello everyone I have wanted to create some type of LISP for a long time now. Iv done 1000's of handrail drawing in the past few years, and expect to do many many more. These rails are 1.50 x 1.50 square tubing, 16ga wall, 304 stainless or Mild Steel. The standard height is 42" which should never change. There are only a few variables when drawing these. When you have a handrail that has more than just the end uprights, the center distance of uprights can be no larger than 42". When a handrail is short enough to not need intermediate uprights, the center distance can be no larg
  12. I'm looking for a LISP that will allow me to offset a polyline on one layer with a global width (any varying width) to another layer (a specific layer written into the code) with a global width of 0. Please help
  13. Hi, I cannot for the life of me remember how to get around this one. I have a line with randomly spaced nodes and it also is curved. I need to turn it into a polyline, densify it and export those extra positions. So far I have done line to polyline no problem, but when I try to densify (I have a densify lsp) the 'nodes' are not at the fixed interval where there is a curve. How do I get around this? I have tried exploding the line and joining them into a polyline but it still doesn't work. If I decurve then the curve disappears which is no good as I need the polyline to retain its sha
  14. I am pretty new to lisps, but I think that I have made this a little more complex than it needs to be. I am trying to create a offset box around a set polyline and then hatch the box. I have succeeded in making it work for four user designated points, but I am looking for more. I would like to be able to run the lisp, draw a polyline with infinite bends and angles, and then have it hatch the resulting offset box. If anyone has any optimization ideas I would love to hear them trench.lsp
  15. I understand how the current extrusion command works - You have a 2D polyline profile and you apply the extrusion command to that, getting your 3D shape. However, I have a drawing full of different sized extrusions based on the same 2D polyline, and now I want to change that initial 2D polyline without having to manipulate each polyline separately. I thought it would be much better if the initial 2D polyline were referenced, allowing you to swap that inital 2D polyline with another 2D polyline. Is there a way - or a plugin - that is available to do this in AutoCAD? FYI - the profiles
  16. I'm trying to plot a large poster (108" long) onto a 36" wide roll of paper. The image, texts, and leader plotted fine; the polylines and mtext did not. Everything shows up in the preview, but the two mentioned items don't actually get plotted onto the paper.
  17. Hi, this is probably really simple but i've just started using CAD so my apologies. I have to design a building as part of a uni project, i've drawn a floor plan with polylines but when i go to replace the polylines with walls, some of the walls have the plaster work on the outside and brickwork inside. Not too sure where im going wrong... thanks in advance for any help.
  18. I am trying to make a routine that could change all polylines in a drawing from layer AM_0 to 0. But i can't get i to work. (defun C:chgpllnul ( / pllist ) (setq pllist ((ssget '((8 . "AM_0") (0 . "Polyline"))) (command "change" pllist "" "P" "LA" "0" "" ))) ) Please help! Thx in advance.
  19. jlynnfrasure

    Text to Polylines

    I am having an object laser cut and need to have text. I have read that express tools does the job, however I don't have it on my CAD. I reinserted the CD like everone has said, clicked the Express Tools, the my computer says it can't load the file. Is there a simple way to convert text Polylines?
  20. Hello all My first post, so apologies if not in the right place. I am a novice user and on searching the forums I cannot find a thread which answers this questions in a language I can understand. I should add I just dont get other code orientated answers to similar posts. I am working on a town plan and need to delete a number of lines within a box. This is so frustrating as using a rectangle everytime does not allow for easy erasing. I've already wasted hours trygint o find a solution. If only it had some kind of cut command for inside a polyline??...like photoshop... I have
×
×
  • Create New...